Darwin lacks sched_setscheduler.
https://sourceforge.net/p/libdv/patches/43/
--- configure.ac.orig	2006-08-06 16:38:30.000000000 -0500
+++ configure.ac	2020-11-20 19:39:37.000000000 -0600
@@ -242,7 +242,7 @@
 
 dnl Checks for library functions.
 AC_FUNC_MMAP
-AC_CHECK_FUNCS(gettimeofday)
+AC_CHECK_FUNCS(gettimeofday sched_get_priority_max sched_setscheduler)
 
 AC_SUBST(ac_aux_dir)
 AC_SUBST(RPM_RELEASE)
--- configure.orig	2006-09-25 15:11:47.000000000 -0500
+++ configure	2020-11-20 19:39:37.000000000 -0600
@@ -22537,7 +22537,7 @@
 rm -f conftest.mmap
 
 
-for ac_func in gettimeofday
+for ac_func in gettimeofday sched_get_priority_max sched_setscheduler
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 { echo "$as_me:$LINENO: checking for $ac_func" >&5
--- config.h.in.orig	2006-09-25 15:11:46.000000000 -0500
+++ config.h.in	2020-11-20 19:39:37.000000000 -0600
@@ -24,6 +24,12 @@
 /* Define to 1 if you have the `gettimeofday' function. */
 #undef HAVE_GETTIMEOFDAY
 
+/* Define to 1 if you have the `sched_get_priority_max' function. */
+#undef HAVE_SCHED_GET_PRIORITY_MAX
+
+/* Define to 1 if you have the `sched_setscheduler' function. */
+#undef HAVE_SCHED_SETSCHEDULER
+
 /* Define as 1 if you have gtk */
 #undef HAVE_GTK
 
--- encodedv/dvconnect.c.orig	2004-05-30 21:05:23.000000000 -0500
+++ encodedv/dvconnect.c	2020-11-20 19:39:37.000000000 -0600
@@ -857,7 +857,7 @@
 
 int rt_raisepri (int pri)
 {
-#ifdef _SC_PRIORITY_SCHEDULING
+#if defined(_SC_PRIORITY_SCHEDULING) && defined(HAVE_SCHED_GET_PRIORITY_MAX) && defined(HAVE_SCHED_SETSCHEDULER)
 	struct sched_param scp;
 
 	/*
